WP Settings API has been tested with

WordPress 3.9.1/3.9

Working

WordPress 3.8.2/ 3.8.1/ 3.8

Working

WordPress 3.7

Unknown

WordPress 3.6

Unknown